Connection profiles
List connections for a profile
List all provider connections associated with a connection profile. Accessible for own profiles, org-level profiles, and other org members' profiles (read-only).
GET
/api/connection-profiles/{id}/connectionsbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
id*string
Format
uuidHeader Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidcurl -X GET "https://loading/api/connection-profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08/connections"{
"connections": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",
"providerId": "string",
"orgId": "25b2c2d5-a7fc-47d0-89e4-8709a1560bfa",
"scopesGranted": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"code": "not_found",
"requestId": "req_abc123"
}